
package experiments;

import java.io.*;
import experiments.SerialClass;
/**
 * This class creates instances of the serial class and saves them
 * to demonstrate the usage of the externalizeation mechnizem in Java. 
**/
public class LoaderClass 
{

/**
 * This method was created by a SmartGuide.
 */
public LoaderClass() 
{
	try
	{
		File temporaryFile = new File("TemporaryFile");
		FileOutputStream fileOutputStream = new FileOutputStream(temporaryFile);

		ObjectOutputStream objectOutputStream = new ObjectOutputStream(fileOutputStream);

		objectOutputStream.writeObject("A string represnting the start of the file.");

		SerialClass currentObj = new SerialClass();
		currentObj.setABC(5,6,7);
		objectOutputStream.writeObject(currentObj);

		currentObj = new SerialClass();
		currentObj.setABC(11,12,13);
		objectOutputStream.writeObject(currentObj);

		objectOutputStream.flush();
		objectOutputStream.close();		
		
		FileInputStream fileInputStream = new FileInputStream(temporaryFile);
		ObjectInputStream objectInputStream = new ObjectInputStream(fileInputStream);
		
		Object buf;
		for(int i = 0; i < 3 ; i ++)
		{	
			buf = objectInputStream.readObject();
			System.out.println(buf.toString());
		}	
		
		objectInputStream.close();
	}	
	catch(IOException err)
	{
		System.out.println("An IOException was throwm: " + err.getMessage());
	}	
	catch(ClassNotFoundException clNF)
	{
		System.out.println("A class was not found it the VM: " + clNF.getMessage());
	}	
}
/**
 * This method was created by a SmartGuide.
 * @param args java.lang.String[]
 */
public static void main(String args[]) 
{
	new LoaderClass();
}
}