
package macrolanguage;

import java.awt.*;
import java.util.Hashtable;

public class ProjectSettings
{
		// equals true when in a middle of a drag.
		public static boolean dragMode = false;

		// the space from the boudry of a component in which the resize
		// is still active.
		public static int RESIZE_ACTIVATION_BOUNDRY = 5;

		// when we wish to place or resize an object on the grid
		// division by this number is tested.
		public static int gridSize = 1;

		public static int MINIMUM_COMPONENT_WIDTH  = 10;
		public static int MINIMUM_COMPONENT_HEIGHT = 10;
		public static int DEFAULT_COMPONENT_WIDTH  = 40;
		public static int DEFAULT_COMPONENT_HEIGHT = 40;

		// what is the current resize direction, out of the current
		// RESIZE_??? static int's.
		public static int resizeMode = ProjectSettings.NO_RESIZE;
		public static int NO_RESIZE            = 0;
		public static int RESIZE_UP            = 1;
		public static int RESIZE_DOWN          = 2;
		public static int RESIZE_LEFT          = 4;
		public static int RESIZE_RIGHT         = 8;

		public static Component componentToPlace = null; // the new Component we will drop on the surface.

		// this member is used to convert these propriety resize modes
		// to the Cursor class mouse modes.
		public static Hashtable resizePossibleStates = new Hashtable();

		public static FreeFormEdit currentFreeFormEdit = null;

}