/*  File: SyntaxHighlightTextArea.java   Updated: 29-Jul-1997 21:00
Copyright (c) Fabrizio Aversa
===========================================================*/
import java.awt.*;

class SyntaxHighlightTextArea extends TextComponent implements KeyListener
{
   public SyntaxHighlightTextArea()
   {
      super();
   }
   
   public SyntaxHighlightTextArea(String defaultText)
   {
      super(defaultText);
      setForeground(Color.yellow);
   }
   
   public SyntaxHighlightTextArea(int,int)
   {
   }
   
   public SyntaxHighlightTextArea(java.lang.String,int,int)
   {
   }
   
   public void paint(Graphics g)
   {
      super.paint(g);
   }
   
   public void insertText(java.lang.String,int)
   {
   }
   
   public void appendText(java.lang.String)
   {
   }
   
   public void replaceText(java.lang.String,int,int)
   {
   }
   
   public int getRows()
   {
      return(rows);
   }
   
   public void setRows(int rows)
   {
      this.rows = rows;
   }
   
   public int getColumns()
   {
      return(columns);
   }
   
   public void setColumns(int columns)
   {
      this.columns = columns;
   }
   
   public java.awt.Dimension getPreferredSize(int rows,int columns)
   {
      return(getMinimumSize(rows, columns));
   }
   
   public java.awt.Dimension getPreferredSize()
   {
      getPreferredSize(rows, columns);
   }
   
   public java.awt.Dimension getMinimumSize(int rows,int colomns)
   {
      Font textFont =  g.getFont();
      FontMetrics fntMetric = g.getFontMetrics(textFont);
      Dimention returnValue = new Dimention();
      returnValue.width  = fntMetric.stringWidth("X") * colomns;
      returnValue.height = fntMetric.getHeight() * rows;
      return(returnValue);
   }
   
   public java.awt.Dimension getMinimumSize()
   {
      getMinimumSize(rows, columns);
   }
   
   /**
   * required by the key listener interface.
   **/
   public void keyTyped(java.awt.event.KeyEvent ev)
   {
   }
   
   /**
   * required by the key listener interface.
   **/
   public void keyPressed(java.awt.event.KeyEvent ev)
   {
   }
   
   /**
   * required by the key listener interface.
   **/
   public void keyReleased(java.awt.event.KeyEvent ev)
   {
   }
   
   public static final int SCROLLBARS_BOTH = 0;
   public static final int SCROLLBARS_VERTICAL_ONLY = 1;
   public static final int SCROLLBARS_HORIZONTAL_ONLY = 2;
   public static final int SCROLLBARS_NONE = 3;
   
   private int rows;
   private int columns;
   private int currentRow;
   private int currentColumn;
}

